Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554932 - app-emulation/virtualbox-5.0.0 - xmllint - failed to load external entity "/docbookx.dtd"
Summary: app-emulation/virtualbox-5.0.0 - xmllint - failed to load external entity "/d...
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
: 569168 574098 575802 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-07-15 08:08 UTC by Juergen Rose
Modified: 2017-02-18 10:42 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.bz2 (build.log.bz2,202.93 KB, application/x-bzip)
2015-07-15 08:08 UTC, Juergen Rose
Details
DEPEND on app-text/docbook-sgml-dtd:4.4 if USE=doc (virtualbox-5.0.16-r1.ebuild.diff,373 bytes, patch)
2016-03-16 13:28 UTC, Akos Szalkai
Details | Diff
Proposed workaround (virtualbox-5.0.16-doc-build-fix.patch,695 bytes, patch)
2016-04-04 14:57 UTC, Yarda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2015-07-15 08:08:15 UTC
Created attachment 406834 [details]
build.log.bz2

'MAKEOPTS=-j1 emerge -v1 virtualbox' fails with:
...
  Pre-processing {C}/doc/manual//en_US/user_ChangeLog.xml to {T}/manual/en_US/user_ChangeLog.xml 
/usr/bin/kmk_sed -e 's|@VBOX_PATH_DOCBOOK@|http://docbook.sourceforge.net/release/xsl/current/|g' -e 's|@VBOX_PATH_MANUAL_SRC@|/var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/doc/manual|g' -e 's|@VBOX_PATH_MANUAL_OUTBASE@|/var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/out/linux.amd64/release/obj/manual|g' -e 's|@VBOX_PATH_MANUAL_OUT_LANG@|/var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/out/linux.amd64/release/obj/manual/en_US|g' -e 's/@VBOX_VERSION_MAJOR@/5/g' -e 's/@VBOX_VERSION_MINOR@/0/g' -e 's/@VBOX_VERSION_BUILD@/0/g' -e 's/@VBOX_VERSION_STRING@/5.0.0_Gentoo/g' -e 's/@VBOX_VENDOR@/Oracle Corporation/g' -e 's/@VBOX_PRODUCT@/Oracle VM VirtualBox/g' -e 's/@VBOX_C_YEAR@/2015/g' --output "/var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/out/linux.amd64/release/obj/manual/en_US/user_ChangeLog.xml" /var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/doc/manual//en_US/user_ChangeLog.xml
  Validating {T}/manual/en_US/UserManual.xml 
/usr/bin/xmllint --nonet --xinclude --noout  --dtdvalid /docbookx.dtd /var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/out/linux.amd64/release/obj/manual/en_US/UserManual.xml
warning: failed to load external entity "/docbookx.dtd"
Could not parse DTD /docbookx.dtd
kmk: *** [/var/tmp/portage/app-emulation/virtualbox-5.0.0/work/VirtualBox-5.0.0/out/linux.amd64/release/obj/manual/en_US/validatemanual.run] Error 2
 * ERROR: app-emulation/virtualbox-5.0.0::gentoo failed (compile phase):
 *   emake failed





root@lynx:/root(76)# emerge --info '=app-emulation/virtualbox-5.0.0::gentoo'
Portage 2.2.20 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.20-r2, 4.1.2-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.1.2-gentoo-x86_64-Intel-R-_Core-TM-_i7-3630QM_CPU_@_2.40GHz-with-gentoo-2.2
KiB Mem:     6962404 total,   1794472 free
KiB Swap:   12582908 total,  11843476 free
Timestamp of repository gentoo: Wed, 15 Jul 2015 06:30:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.25 p1.2) 2.25
distcc[22098] (dcc_trace_version) distcc 3.2rc1 x86_64-pc-linux-gnu; built Feb 28 2015 11:00:31 [disabled]
app-shells/bash:          4.3_p39::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/cmake:           3.2.3::gentoo
dev-util/pkgconfig:       0.28-r3::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage_lynx
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    masters: gentoo
    priority: 0

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 1

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 2

tlp
    location: /var/lib/layman/tlp
    masters: gentoo
    priority: 3

x11
    location: /var/lib/layman/x11
    masters: gentoo
    priority: 4

ago
    location: /var/lib/layman/ago
    masters: gentoo
    priority: 5

local
    location: /usr/local/portage
    masters: gentoo
    priority: 6

g-cpan
    location: /var/lib/cpan
    masters: gentoo
    priority: 7

g-octave
    location: /var/lib/g-octave
    masters: gentoo
    priority: 8

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-11.x cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA NVIDIA-CUDA Nero-AAC-EULA GIMPS"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 amr ao apache2 apng applet archive armadillo arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli cmake consolekit cracklib crypt css cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples excel exif expat extensions extra extras faac faad fam ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpm fpx ftp fuse g3dvl garmin gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp git glade glamor glib glpk gml gmp gnome gnome-keyring gnome-print gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gsm gstreamer gtk gtk3 gudev guile hdaps hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3tag ide imagemagick imap inotify introspection ipod ipv6 irda ithreads jabber jadetex java java6 jbig jit john jpeg jpeg2k kate kde kdepim kdrive kerberos keymap kpathsea kvm ladspa lame lapack laptop latex lcms ldap lensfun libffi libgda libkms libnotify libsamplerate lirc live lua lzma lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mkl mmx mmxext mng mod modules mono motif mozilla mp3 mp4 mpeg mpi mpi-threads mplayer mtp multilib multimedia musepack musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking nfs nls nntp nptl nsplugin ntfs ntp numpy obex objc ocaml ocr octave odbc ofa ogdi ogg openexr opengl openmp openvg pam pango pcre pda pdf pdl2 perl plasma plotutils plugins png podcast policykit portaudio posix postgres postscript ppds preview-latex proj projectm pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 qt5 quicktime raw readline reiserfs reports rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets sound soup sox speex spell sql sqlite sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification stlport subtitles subversion sudo suexec svg svm swig systemd szip t1lib tcl tcpd tex tex4ht texmacs theora thesaurus thinkpad threads thunderbird tidy tiff tk tools truetype udev udisks unicode upower usb utempter v4l v4l2 vaapi vala valgrind vdpau video virt-network virtualbox visio vorbis vpx vtk wav webdav webdav-serf webkit wifi wmf wxwidgets x264 xa xattr xcb xetex xext xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zvbi" ABI_X86="64" ALSA_CARDS="intel8x0" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog sensors thermal" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="nss" DVB_CARDS="usb-wt220u" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev synaptics void" KERNEL="linux" LCD_DEVICES="cfontz hd44780 mtxorb ncurses X lcd2usb lcdlinux png usblcd SureElec" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en fr ru" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nouveau displaylink" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON




root@lynx:/root(77)# emerge -pqv '=app-emulation/virtualbox-5.0.0::gentoo'
[ebuild     U ] app-emulation/virtualbox-5.0.0 [4.3.28] USE="alsa doc java opengl pam pulseaudio python qt4 sdk udev -headless -vboxwebsrv -vnc (-additions%*) (-extensions%*)" PYTHON_TARGETS="python2_7"
Comment 1 Juergen Rose 2015-07-15 08:29:33 UTC
'USE=-doc emerge -v1 virtualbox' works.
Comment 2 Yarda 2015-07-15 20:03:00 UTC
Same problem encountered. Also I think the ebuild should enforce MAKEOPTS=-j1, because the upstream makefile is broken and doesn't work with more processes.
Comment 3 Yarda 2015-08-21 16:08:32 UTC
Still problem with virtualbox-5.0.2. It seems that in virtualbox-5-localconfig, the 'VBOX_DOCBOOK_WITH_LATEX := 1' is not supported and it uses docbooks sgml, but it uses wrong URI, i.e. --dtdvalid /docbookx.dtd in xmllint is wrong URI, because VBOX_PATH_DOCBOOK_DTD is expanded to empty string, by adding the following into virtualbox-5-localconfig:
VBOX_PATH_DOCBOOK_DTD   := /usr/share/sgml/docbook/sgml-dtd-4.4

the error is gone, but it fails later on:
mktexpk: don't know how to create bitmap font for fvmb8r.
mktexpk: perhaps fvmb8r is missing from the map file.

So building with USE=doc is currently broken in virtualbox 5.
Comment 4 Greg Turner 2015-09-21 09:55:53 UTC
(In reply to Yarda from comment #3)
> [one could add] the following into virtualbox-5-localconfig:
> VBOX_PATH_DOCBOOK_DTD   := /usr/share/sgml/docbook/sgml-dtd-4.4
> 
> the error is gone, but it fails later on:
> mktexpk: don't know how to create bitmap font for fvmb8r.
> mktexpk: perhaps fvmb8r is missing from the map file.
> 
> So building with USE=doc is currently broken in virtualbox 5.

As of 5.0.4, this works. The only difference -- not sure if it's important -- was to put a slash at the end.  (I was aping https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=798638.  Specifically, I created

  /etc/portage/env/app-emulation/virtualbox-5.0.4

with these contents:

  post_src_prepare() {
      local lcfile="${WORKDIR}"/VirtualBox-${PV}/LocalConfig.kmk
      [[ -f ${lcfile} ]] || \
          die "Expected \"${lcfile}\" to exist but it doesn't."
      einfo "/etc/portage/env: injecting dtd path into \"${WORKDIR}\"."
      sed -e '/^VBOX_PATH_APP_DOCS/aVBOX_PATH_DOCBOOK_DTD      := /usr/share/sgml/docbook/xml-dtd-4.4/' \
          -i "${lcfile}" || \
              die "sed \"${lcfile}\" failed."
  }
Comment 5 Juergen Rose 2015-10-04 11:26:45 UTC
I still have the issue, also with virtualbox-5.0.6.
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2016-01-20 21:54:19 UTC
Does it still fail with virtualbox-5.0.14?
Comment 7 Yarda 2016-01-21 15:04:44 UTC
Thanks for looking into this, but it still doesn't work for me, even with 5.0.14:

kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+48/600 --dpi 648 fvmb8r
mktexpk: don't know how to create bitmap font for fvmb8r.
mktexpk: perhaps fvmb8r is missing from the map file.
kpathsea: Appending font creation commands to missfont.log.
kmk: *** [/var/tmp/portage/app-emulation/virtualbox-5.0.14/work/VirtualBox-5.0.14/out/linux.amd64/release/obj/manual/en_US/UserManual.pdf] Error 1

There may be also some misconfiguration of my texlive. I tried to re-emerge every dep, but it didn't help. Also I don't see problems with other packages.
Comment 8 Martin von Gagern 2016-01-29 07:47:24 UTC
With 5.0.14 I don't see the UserManual.pdf error Yarda describes. UserManual.pdf isn't mentioned at all in my build log. Instead I see

warning: failed to load external entity "/usr/share/sgml/docbook/sgml-dtd-4.4/docbookx.dtd"
Could not parse DTD /usr/share/sgml/docbook/sgml-dtd-4.4/docbookx.dtd

kmk: *** [/var/tmp/portage/app-emulation/virtualbox-5.0.14/work/VirtualBox-5.0.1
4/out/linux.amd64/release/obj/manual/en_US/validatemanual.run] Error 2

just like in comment 0.
Comment 9 Yarda 2016-01-29 08:26:02 UTC
(In reply to Martin von Gagern from comment #8)
> With 5.0.14 I don't see the UserManual.pdf error Yarda describes.
> UserManual.pdf isn't mentioned at all in my build log. Instead I see
> 
Because the first error you encountered is earlier in the build process. The UserManual.pdf is build a while after.

> warning: failed to load external entity
> "/usr/share/sgml/docbook/sgml-dtd-4.4/docbookx.dtd"
> Could not parse DTD /usr/share/sgml/docbook/sgml-dtd-4.4/docbookx.dtd
> 
> kmk: ***
> [/var/tmp/portage/app-emulation/virtualbox-5.0.14/work/VirtualBox-5.0.1
> 4/out/linux.amd64/release/obj/manual/en_US/validatemanual.run] Error 2
> 
> just like in comment 0.

There is probably something wrong with your docbook, because the path used by VirtualBox ebuild seems now OK. You need especially the following package:

app-text/docbook-sgml-dtd-4.4

Try to re-emerge it and it's dependencies.

Also maybe the package is missing from the dependencies (I didn't check).
Comment 10 Pacho Ramos gentoo-dev 2016-03-02 09:58:39 UTC
*** Bug 569168 has been marked as a duplicate of this bug. ***
Comment 11 Pacho Ramos gentoo-dev 2016-03-02 09:58:52 UTC
*** Bug 574098 has been marked as a duplicate of this bug. ***
Comment 12 Pacho Ramos gentoo-dev 2016-03-02 09:59:00 UTC
*** Bug 575802 has been marked as a duplicate of this bug. ***
Comment 13 Akos Szalkai 2016-03-16 13:28:59 UTC
Created attachment 428356 [details, diff]
DEPEND on app-text/docbook-sgml-dtd:4.4 if USE=doc

I can confirm, the issue still exists in virtualbox-5.0.16-r1.  To build with USE=doc needs app-text/docbook-sgml-dtd:4.4 , so I guess it should be included in the ebuild.

I attached a trivial patch.
Comment 14 Yarda 2016-03-18 10:27:39 UTC
Not counting that you still need to build it with MAKEOPTS=-j1, this should be also patched in the ebuild (well, the deps should be fixed in the Makefile, but this is the fastest approach :)
Comment 15 Yarda 2016-03-18 15:34:55 UTC
(In reply to Yarda from comment #14)
> Not counting that you still need to build it with MAKEOPTS=-j1, this should
> be also patched in the ebuild (well, the deps should be fixed in the
> Makefile, but this is the fastest approach :)

I opened bug 577716 regarding this issue.
Comment 16 Yarda 2016-04-04 14:57:55 UTC
Created attachment 429630 [details, diff]
Proposed workaround

It seems there are still multiple issues regarding the USE=doc build.

At first it seems that dev-texlive/texlive-fontsextra-2014 is broken regarding pdflatex. I filled bug 579018 regarding this problem. Till resolved the attached patch is workaround for the problem.

But there is still sandbox violation when the rest of fonts are built so also the following virtualbox ebuild patch is needed:

@@ -211,6 +214,8 @@
 src_compile() {
        source ./env.sh || die
 
+       export VARTEXFONTS="${T}/fonts"
+
        # Force kBuild to respect C[XX]FLAGS and MAKEOPTS (bug #178529)
        # and strip all flags
        # strip-flags
Comment 17 Yarda 2016-04-04 16:12:21 UTC
(In reply to Yarda from comment #16)
Or alternatively instead of the workaround patch you can enable all the needed fonts, for me the following was enough:
# updmap-sys --enable Map bera.map
# updmap-sys --enable Map charter.map

It seems the texlive fonts are now not enabled by default, I addressed this problem in the bug 579018.

In case you don't have generated all the required fonts (together with the fonts above), you also need the following virtualbox ebuild patch, otherwise you encounter sandbox violation:

> @@ -211,6 +214,8 @@
>  src_compile() {
>         source ./env.sh || die
>  
> +       export VARTEXFONTS="${T}/fonts"
> +
>         # Force kBuild to respect C[XX]FLAGS and MAKEOPTS (bug #178529)
>         # and strip all flags
>         # strip-flags
Comment 18 Yarda 2016-11-04 10:14:56 UTC
(In reply to Yarda from comment #17)
> (In reply to Yarda from comment #16)
> Or alternatively instead of the workaround patch you can enable all the
> needed fonts, for me the following was enough:
> # updmap-sys --enable Map bera.map
> # updmap-sys --enable Map charter.map
> 
> It seems the texlive fonts are now not enabled by default, I addressed this
> problem in the bug 579018.
> 
> In case you don't have generated all the required fonts (together with the
> fonts above), you also need the following virtualbox ebuild patch, otherwise
> you encounter sandbox violation:
> 
> > @@ -211,6 +214,8 @@
> >  src_compile() {
> >         source ./env.sh || die
> >  
> > +       export VARTEXFONTS="${T}/fonts"
> > +
> >         # Force kBuild to respect C[XX]FLAGS and MAKEOPTS (bug #178529)
> >         # and strip all flags
> >         # strip-flags

This issue still persists and more fonts are now needed by virtualbox-5.1.8. This is consequence of bug 579018 which will probably not get fixed in texlive-2014. The above workaround with VARTEXFONTS which put temporally generated fonts during build inside sandbox still fix it. TLDR: some fonts in texlive-2014 may not be explicitly enabled due to bug in sorting in texlive configuration files parser which manifests with some locales (e.g. Czech).
Comment 19 Andrius Štikonas 2017-01-01 12:52:39 UTC
This still happens with  current stable candidate app-emulation/virtualbox-5.1.10-r1
Comment 20 Ervin Peters 2017-02-02 07:26:30 UTC
Still missing the docbook-sgml-dtd:4.4 dependency in current stable ebuild virtualbox-5-0.32. Emerge fails at the point already described.

To get further I added the dependency:

DEPEND="${RDEPEND}
	>=dev-util/kbuild-0.1.9998_pre20131130
	>=dev-lang/yasm-0.6.2
	sys-devel/bin86
	sys-libs/libcap
	sys-power/iasl
	virtual/pkgconfig
	alsa? ( >=media-libs/alsa-lib-1.0.13 )
	doc? (
		dev-texlive/texlive-basic
		dev-texlive/texlive-latex
		dev-texlive/texlive-latexrecommended
		dev-texlive/texlive-latexextra
		dev-texlive/texlive-fontsrecommended
		dev-texlive/texlive-fontsextra
		app-text/docbook-sgml-dtd:4.4              ##############
	)
	!headless? ( x11-libs/libXinerama )
	java? ( >=virtual/jre-1.6:= )
	pam? ( sys-libs/pam )
	pulseaudio? ( media-sound/pulseaudio )
	vboxwebsrv? ( net-libs/gsoap[-gnutls(-)] )
	${PYTHON_DEPS}"

But after adding the dependency to the ebuild, the missing was installed but virtualbox-5.0.32 emerge fails at:

...
/usr/bin/kmk_sed \
	-e 's|^\\QUOTE{}|\\OQ{}|g' \
	-e 's|\(\W\)\\QUOTE{}|\1\\OQ{}|g' \
	-e 's|\(\w\)\\QUOTE{}|\1\\CQ{}|g' \
	--output /var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/out/linux.amd64/release/obj/manual/en_US/UserManual.tex /var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/out/linux.amd64/release/obj/manual/en_US/UserManual.tex.tmp
kmk_builtin_rm -f /var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/out/linux.amd64/release/obj/manual/en_US/UserManual.tex.tmp
  pdflatex {T}/manual/en_US/UserManual.tex (four passes) -> {T}/manual/en_US/UserManual.pdf 
/usr/bin/kmk_redirect -w+ti /dev/null -C /var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/out/linux.amd64/release/obj/manual/en_US -- pdflatex -halt-on-error -interaction batchmode UserManual.tex
This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
kmk: *** [/var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/out/linux.amd64/release/obj/manual/en_US/UserManual.pdf] Error 1
kmk: *** Waiting for unfinished jobs....
kmk_builtin_append -n "/var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/out/linux.amd64/release/obj/VMMR0/VMMAll/IEMAll.o.dep" "" "/var/tmp/portage/app-emulation/virtualbox-5.0.32/work/VirtualBox-5.0.32/src/VBox/VMM/VMMAll/IEMAll.cpp:" ""
kmk: *** Exiting with status 2
...

But this seems to be another bug...

At this point I compiles with USE='-doc' to explore this issue later on.

ervin
Comment 21 Lars Wendler (Polynomial-C) gentoo-dev 2017-02-03 15:20:01 UTC
commit 5bd8521042bfc356fd20c4505a6c6780d9f4510b
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Fri Feb 3 16:12:23 2017

    app-emulation/virtualbox: Fixed parallel build issue (bug #413467).

    Also attempt to finally fix creation and installation of docs
    (bug #554932).

    Package-Manager: Portage-2.3.3, Repoman-2.3.1


Please test and report back if doc creation now works for you.
Comment 22 Ervin Peters 2017-02-18 10:42:49 UTC
Still broken in stable 5.0.32.

As mentioned above, there is a pdflatex error on UserManual.tex:

[..]
\c@paragraph=\count85
\c@subparagraph=\count86
LaTeX Info: Redefining \textsubscript on input line 2518.

! LaTeX Error: Command \@textsubscript already defined.
               Or name \end... illegal, see p.192 of the manual.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.2523 }
[..]

...using the stable telive2015.

ervin